Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mapping.data
Class JobClass

    java.lang.Object
      mapping.data.JobClass

All Implemented Interfaces:
  java.io.Serializable

    public class JobClass

extends java.lang.Object
implements java.io.Serializable

This class represents a job class.

Author:
  Majd Kokaly
See Also:
  Serialized Form

Constructor Summary
`JobClass(double arrivalRate)` A constructor
`JobClass(double arrivalRate, long iterations)` A constructor

Method Summary
`double` | `getArrivalRate()`
`int` | `getIndex()`
`long` | `getIterations()`
`void` | `setArrivalRate(double arrivalRate)`
`void` | `setIndex(int index)`
`void` | `setIterations(long iterations)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobClass

    public JobClass(double arrivalRate)

  A constructor

  Parameters:
    `arrivalRate` - the arrival rate of this job class.

### JobClass

    public JobClass(double arrivalRate,
                    long iterations)

  A constructor

  Parameters:
    `arrivalRate` - the arrival rate of this job class.
    `iterations` - the iterations of this job class.

Method Detail

### getArrivalRate

    public double getArrivalRate()

### setArrivalRate

    public void setArrivalRate(double arrivalRate)

### getIterations

    public long getIterations()

### setIterations

    public void setIterations(long iterations)

### getIndex

    public int getIndex()

### setIndex

    public void setIndex(int index)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD